
Redmine - Defect #4163

Allow cross-project references in commits

2009-11-04 18:40 - Anonymous

Status: Closed Start date: 2009-11-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Right now, the refs/closes/fixes/... keywords only affect issues in the same project as the repository.

It should be nice to allow to reference any issue from a commit

Related issues:

Related to Redmine - Defect #3087: Revision referring to issues across all pr... Closed 2009-03-31

History

#1 - 2009-11-04 21:02 - Anonymous

- File patch-cp-issue-keywords_1.diff added

#2 - 2009-11-04 21:42 - Anonymous

There is something else to fix.

If a project doesn't have the repository module enabled, its issues won't show associated revisions.

#3 - 2009-11-04 21:48 - Anonymous

Jorge Bernal wrote:

If a project doesn't have the repository module enabled, its issues won't show associated revisions.

 Even when you enable the module, the link in "associated revisions' point to the issue's project repository, instead of the changeset

#4 - 2009-11-04 23:08 - Anonymous

- File patch-cp-issue-keywords_2.diff added

Second version of the patch: Show related revisions in issue

#5 - 2009-11-05 11:13 - Thomas Pihl

We have the same problem. Will try your patch.

#6 - 2009-11-09 20:00 - Adam Piotr Żochowski

This already was worked on

Patch in #3376 -- fixes link on issue to point to revision on proper repository (as opposed to local project repository), now code in trunk

Patch in #3087 -- Allows a revision comment to reference a project (see comments about variations -> linking to sub projects or parent projects, or

sibling projects, or all projects)

Kind regards

Adam Żochowski

#7 - 2009-11-09 20:05 - Adam Piotr Żochowski

I just want to clarify myself, I don't mean that these exact points were worked-on and resolved before, but rather to point to additional sources of

inspiration.  Kudos on this patch.

Kind regards

Adam Żochowski
https://www.redmine.org/issues/3376
https://www.redmine.org/issues/3087


#8 - 2009-11-13 19:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this as a dup of #3087.

Files

patch-cp-issue-keywords_1.diff 3.82 KB 2009-11-04 Anonymous

patch-cp-issue-keywords_2.diff 5.12 KB 2009-11-04 Anonymous
